{}:
let
  pkgs = import ./nix/pkgs.nix {};
  settings = import ./nix/settings.nix;
  haskellDeps = import ./nix/haskell-deps.nix;
in
  pkgs.haskell.lib.buildStackProject {
    name = "utoy";
    ghc = pkgs.haskell.packages."${settings.ghc}".ghcWithPackages haskellDeps;
  }
